INCLUDES = -I$(srcdir)/../taskmanager -I$(srcdir)/../share -I$(top_builddir)/kicker/share $(all_includes)

# KDE 4: rename to libkickertaskbar.la!

lib_LTLIBRARIES = libtaskbar.la
libtaskbar_la_SOURCES = taskcontainer.cpp taskbar.cpp \
                        taskbarcontainer.cpp taskbarcontainer.skel \
                        taskbarsettings.kcfgc

libtaskbar_la_METASOURCES = AUTO

libtaskbar_la_LDFLAGS = -version-info 3:0:2 $(all_libraries) -no-undefined
libtaskbar_la_LIBADD = $(LIB_KDEUI) $(LIB_KUTILS) ../share/libkickermain.la ../taskmanager/libtaskmanager.la

messages: rc.cpp
	$(XGETTEXT) *.cpp *.h -o $(podir)/libtaskbar.pot

taskbar.lo: ../share/kickerSettings.h
taskbarcontainer.lo: ../share/kickerSettings.h

kde_kcfg_DATA = taskbar.kcfg
